#!/usr/bin/perl -w
# Simple text to cyrillic HTML converter

while(<>){
	s|&|&amp;|g;
	s|<|&lt;|g;
	s|>|&gt;|g;
	s|^\s+?$|\n<p>|g;
	s| "| &laquo;|g;
	s|^"|&laquo;|g;
	s|\t"|\t&laquo;|g;
	s|\("|\(&laquo;|g;
	s|\["|\[&laquo;|g;
	s|="|=&laquo;|g;
	s|"|&raquo;|g;
	s|``|&laquo;|g;
	s|''|&raquo;|g;
	s|`|&laquo;|g;
	s|'([^\w])|&raquo;$1|g;
	s| - |&nbsp;&#151; |g;
	s| --- |&nbsp;&#151; |g;
	s|---|&#151;|g;
	s|--|&#150;|g;
	s|_(.+?)_|<em>$1</em>|g;
	s|\*(.+?)\*|<strong>$1</strong>|g;
	s|  +| |g;
	s|([])|$1<span class="accent">'</span>|g;
	s|([])|$1<span class="accent">'</span>|g;
	s|([])|$1<span class="accent">'</span>|g;
	s|([])|$1<span class="accent">'</span>|g;
print;
}

BEGIN {
print <<END_OF_BEGIN
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">

<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1251\">
<title></title>

<style type=\"text/css\">
.accent {position: relative; right: -.2em; top: -.3ex; margin-right: -.15em; width: .1em}
</style>

</head>
<body>

<p>
END_OF_BEGIN
}

END{
print <<END_OF_END


</body>
</html>
END_OF_END
}

#