#!/usr/bin/perl -w
# Simple text to cyrillic LaTeX converter

while(<>){
	s| "| <<|g;
	s|^"|<<|g;
	s|\t"|\t<<|g;
	s|\("|\(<<|g;
	s|\["|\[<<|g;
	s|="|=<<|g;
	s|"|>>|g;
	s|``|<<|g;
	s|''|>>|g;
	s|`|<<|g;
	s|'([^\w])|>>$1|g;
	s| - | "--- |g;
	s| --- | "--- |g;
	s| ---$| "---|g;
	s|^--- |"--* |g;
	s|\\|BACKSLASH|g;
	s|&|\\&|g;
	s|\{|\\\{|g;
	s|\}|\\\}|g;
	s|\$|\\\$|g;
	s|\#|\\\#|g;
	s|%|\\%|g;
	s|BACKSLASH|\$\\backslash\$|g;
	s@\|@\$\\mid\$@g;
	s|_(.+?)_|\\textit\{$1\}|g;
	s|\*(.+?)\*|\\textbf\{$1\}|g;
	s|  +| |g;
	s|([])|$1\\'|g;
	s|([])|$1\\'|g;
	s|([])|$1\\'|g;
	s|([])|$1\\'|g;
print;
}

BEGIN {
print <<END_OF_BEGIN
\\documentclass{article}
\\usepackage[cp1251]{inputenc}
\\usepackage[T2A]{fontenc}
\\usepackage[russian]{babel}
\\nonfrenchspacing

% Put title here:
% \\title{}
% \\date{}

\\begin{document}

% Uncomment this for title:
% \\maketitle

END_OF_BEGIN
}

END{
print <<END_OF_END


\\end{document}
END_OF_END
}

#